player_imu_data_calib Struct Reference

Data: calibrated IMU data (PLAYER_IMU_DATA_CALIB) More...

`#include <player_interfaces.h>`

## Public Attributes

float | accel_x
| The IMU's calibrated acceleration value on X-axis. More...
float | accel_y
| The IMU's calibrated acceleration value on Y-axis. More...
float | accel_z
| The IMU's calibrated acceleration value on Z-axis. More...
float | gyro_x
| The IMU's calibrated gyro value on X-axis. More...
float | gyro_y
| The IMU's calibrated gyro value on Y-axis. More...
float | gyro_z
| The IMU's calibrated gyro value on Z-axis. More...
float | magn_x
| The IMU's calibrated magnetic value on X-axis. More...
float | magn_y
| The IMU's calibrated magnetic value on Y-axis. More...
float | magn_z
| The IMU's calibrated magnetic value on Z-axis. More...

## Detailed Description

Data: calibrated IMU data (PLAYER_IMU_DATA_CALIB)

The `imu` interface returns calibrated acceleration, gyro and magnetic values from the IMU sensor.

## Member Data Documentation

float player_imu_data_calib::accel_x

The IMU's calibrated acceleration value on X-axis.

float player_imu_data_calib::accel_y

The IMU's calibrated acceleration value on Y-axis.

float player_imu_data_calib::accel_z

The IMU's calibrated acceleration value on Z-axis.

float player_imu_data_calib::gyro_x

The IMU's calibrated gyro value on X-axis.

float player_imu_data_calib::gyro_y

The IMU's calibrated gyro value on Y-axis.

float player_imu_data_calib::gyro_z

The IMU's calibrated gyro value on Z-axis.

float player_imu_data_calib::magn_x

The IMU's calibrated magnetic value on X-axis.

float player_imu_data_calib::magn_y

The IMU's calibrated magnetic value on Y-axis.

float player_imu_data_calib::magn_z

The IMU's calibrated magnetic value on Z-axis.

The documentation for this struct was generated from the following file:

- player_interfaces.h

Last updated 12 September 2005 21:38:45